/*
 * Rectangle.cpp
 *
 *  Created on: Dec 8, 2013
 *      Author: brian
 */

#include "Rectangle.h"
#include "InputHandler.h"


#include <vector>

Rectangle::Rectangle()  {
	//m_direction = 1;
	cout << "Rectangle Constructor " << endl;

}

void Rectangle::update() {
	if (TheInputHandler::Instance()->isKeyDown(SDL_SCANCODE_LEFT))
		m_x -= 2;
	if (TheInputHandler::Instance()->isKeyDown(SDL_SCANCODE_UP))
		m_y -= 1;
	if (TheInputHandler::Instance()->isKeyDown(SDL_SCANCODE_DOWN))
		m_y += 1;
	if (TheInputHandler::Instance()->isKeyDown(SDL_SCANCODE_RIGHT))
		m_x += 2;

}

void Rectangle::load(int x, int y, int width, int height) {
	GameObject::load(x, y, width, height);

}

void Rectangle::draw(SDL_Renderer* pRenderer) {
//	SDL_SetRenderDrawColor(pRenderer, (rand() % 128) + 128,
//									  (rand() % 128) + 128,
//									  (rand() % 128) + 128,
//									  100);

	SDL_SetRenderDrawColor(pRenderer, 0,
									  255,
									  0,
									  255);

	SDL_Rect rectangle;

	rectangle.x = m_x;
	rectangle.y = m_y;
	rectangle.w = m_width;
	rectangle.h = m_height;
	SDL_RenderFillRect(pRenderer, &rectangle);


}

void Rectangle::clean() {
}



